<?php
/*
Author: LeapIn Corp.
URL: https://leap-in.com/
*/

// Check if development mode
if (!defined('LEAPIN_DEV')) {
    define('LEAPIN_DEV', false);
}
if (!defined('LEAPIN_THEME_VERSION')) {
    define('LEAPIN_THEME_VERSION', '1.8.0');
}
if (!defined('LEAPIN_CAPABLE_BUNDLE')) {
    define('LEAPIN_CAPABLE_BUNDLE', '1.1.0');
}

// Detect plugin. For use on Front End only.
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
// LOAD Pjax Blog CORE (if you remove this, the theme will break)
require_once('inc/pjax-blog.php');
// LOAD Pjax Blog inc
require_once('inc/loader.php');

// CUSTOMIZE THE WORDPRESS ADMIN
require_once('inc/admin.php');

/*********************
 * LAUNCH Pjax Blog
 * Let's get everything up and running.
 *********************/

function leapin_ahoy()
{
    // set theme global var
    global $leapin_vars;
    $leapin_vars = [];

    // @todo Allow editor style in latter version.
    // add_editor_style(leapin_get_css_file('editor-style.css'));

    // let's get language support going, if you need it
    load_theme_textdomain('pjax-blog', get_template_directory() . '/library/translation');

    // enqueue base scripts and styles
    add_action('wp_enqueue_scripts', 'leapin_scripts_and_styles', 999);
    // enqueue customized style
    add_action( 'wp_enqueue_scripts', 'leapin_inline_css_settings', 1000);
    // enqueue customized scripts
    add_action( 'wp_enqueue_scripts', 'leapin_inline_js_settings', 1000);
    // enqueue admin scripts and styles
    add_action('admin_enqueue_scripts', 'leapin_admin_scripts_and_styles');

    // launching this stuff after theme setup
    leapin_theme_support();

} /* end pjax blog ahoy */
add_action('after_setup_theme', 'leapin_ahoy');

