<?php
/**
 * Custom Header Extra Setting
 *
 * @author LeapIn Corp.
 * @since 1.1.0
 */
$section = 'header_image';

/**
 * Custom Header Image Height(Mobile)
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_custom_header_mobile_height, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_custom_header_mobile_height,
    'sanitize_callback' => 'leapin_sanitize_number',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_custom_header_mobile_height, array(
    'label' => __('Custom Header Image Height(Mobile < 768px)', 'pjax-blog'),
    'section' => $section,
    'type' => 'text',
));

/**
 * Custom Header Image Height(Desktop)
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_custom_header_height, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_custom_header_height,
    'sanitize_callback' => 'leapin_sanitize_number',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_custom_header_height, array(
    'label' => __('Custom Header Image Height(Tablet and Desktop >= 768px)', 'pjax-blog'),
    'section' => $section,
    'type' => 'text',
));


/**
 * Custom Header Image Overlay Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_custom_header_overlay_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_custom_header_overlay_color, array(
    'label' => __('Image Overlay Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_custom_header_overlay_color,
    'show_opacity'  => true,
)));


/**
 * Separator Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_custom_header_separator_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));

$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_custom_header_separator_color, array(
    'label' => __('Separator Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_custom_header_separator_color,
    'show_opacity'  => true,
)));

/**
 * Text Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_custom_header_text_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));

$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_custom_header_text_color, array(
    'label' => __('Text Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_custom_header_text_color,
    'show_opacity'  => true,
)));

/**
 * Links Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_custom_header_link_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));

$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_custom_header_link_color, array(
    'label' => __('Link Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_custom_header_link_color,
    'show_opacity'  => true,
)));
