<?php
/**
 * Footer Widget Setting
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */

$panel = 'leapin_settings';
$section = 'leapin_footer_copyright';

$wp_customize->add_section($section_id = $section, array(
    'title' => __('Footer Copyright', 'pjax-blog'),
    'panel' => $panel,
    'description' => '<em>' . __('Configure the widgets that are shown in the footer section of your website', 'pjax-blog') . '</em>', // Include html tags such as <p>.
    'priority' => 61, // Mixed with top-level-section hierarchy.
));

$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_copyright_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_copyright_color, array(
    'label' => __('Font Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_copyright_color,
    'show_opacity' => true,
)));

/**
 * @Footer Spec
 * Background
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_copyright_background, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_copyright_background, array(
    'label' => __('Background', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_copyright_background,
    'show_opacity' => true,
)));

/**
 * @Footer Spec
 * Links
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_copyright_links, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_copyright_links, array(
    'label' => __('Links', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_copyright_links,
    'show_opacity' => true,
)));

/**
 * @Footer Spec
 * Links:Hover
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_copyright_links_hover, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_copyright_links_hover, array(
    'label' => __('Links Hover Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_copyright_links_hover,
    'show_opacity' => true,
)));


/**
 * Footer Copyright Text
 */

$wp_customize->add_setting(
    $setting_id = LEAPIN_IDs::$leapin_copyright_text, array(
        'type' => 'theme_mod', // or 'option'
        'capability' => 'manage_options',
        'default' => LEAPIN_Theme_Mod::$default_leapin_copyright_text,
        'transport' => LEAPIN_IDs::$refresh,
        'sanitize_callback' => 'wp_kses_post'
    )
);

$wp_customize->add_control(LEAPIN_IDs::$leapin_copyright_text,
    array(
        'label' => __('Copyright Text', 'pjax-blog'),
        'section' => $section,
        'type' => 'textarea',
        'description' => __('Enter the copyright text that can be found in your site\'s footer. (a, em, strong, br tags can be used.)', 'pjax-blog')
    )
);